Package org.apache.storm.trident.spout

## Interface IPartitionedTridentSpout<PartitionsT,​PartitionT extends ISpoutPartition,​T>

- All Superinterfaces:
    `ITridentDataSource`, `Serializable`
  All Known Implementing Classes:
    `KafkaTridentSpoutTransactional`

      public interface IPartitionedTridentSpout<PartitionsT,​PartitionT extends ISpoutPartition,​T>
      extends ITridentDataSource

  This interface defines a transactional spout that reads its tuples from a partitioned set of brokers. It automates the storing of metadata for each partition to ensure that the same batch is always emitted for the same transaction id. The partition metadata is stored in Zookeeper.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `IPartitionedTridentSpout.Coordinator<PartitionsT>` |
    `static interface` | `IPartitionedTridentSpout.Emitter<PartitionsT,​PartitionT extends ISpoutPartition,​X>` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<String,​Object>` | `getComponentConfiguration()` |
    `IPartitionedTridentSpout.Coordinator<PartitionsT>` | `getCoordinator​(Map<String,​Object> conf, TopologyContext context)` |
    `IPartitionedTridentSpout.Emitter<PartitionsT,​PartitionT,​T>` | `getEmitter​(Map<String,​Object> conf, TopologyContext context)` |
    `Fields` | `getOutputFields()` |

- - ### Method Detail

    - #### getCoordinator

          IPartitionedTridentSpout.Coordinator<PartitionsT> getCoordinator​(Map<String,​Object> conf,
                                                                           TopologyContext context)

    - #### getEmitter

          IPartitionedTridentSpout.Emitter<PartitionsT,​PartitionT,​T> getEmitter​(Map<String,​Object> conf,
                                                                                            TopologyContext context)

    - #### getComponentConfiguration

          Map<String,​Object> getComponentConfiguration()

    - #### getOutputFields

          Fields getOutputFields()